LibreOffice: Query Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | List of all members
Query Service Referencepublished

is a stored definition of a SQL query. More...

Inheritance diagram for Query:

## Included Services
service | com::sun::star::sdb::DataSettings
| is used for customization of data appearance.

## Exported Interfaces
interface | com::sun::star::sdb::XQueryDefinition
| defines the command of the query.
interface | com::sun::star::sdbcx::XDataDescriptorFactory
| is provided for creation of a new query descriptor based on the current information.
interface | com::sun::star::sdbcx::XRename
interface | com::sun::star::sdbcx::XColumnsSupplier
| access to the columns of the results sets query.
Exported Interfaces inherited from XQueryDefinition
interface | com::sun::star::beans::XPropertySet
| access to the owning database definition object.
interface | com::sun::star::ucb::XContent
interface | com::sun::star::lang::XComponent

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XContent
com::sun::star::ucb::XContentIdentifier | getIdentifier ()
| returns the identifier of the content.
string | getContentType ()
| returns a type string, which is unique for that type of content (e.g.
void | addContentEventListener ([in] com::sun::star::ucb::XContentEventListener Listener)
| adds a listener for content events.
void | removeContentEventListener ([in] com::sun::star::ucb::XContentEventListener Listener)
| removes a listener for content events.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XDataDescriptorFactory
com::sun::star::beans::XPropertySet | createDataDescriptor ()
| returns a descriptor of a definition object.
Public Member Functions inherited from XRename
void | rename ([in]string newName) raises (com::sun::star::sdbc::SQLException, com::sun::star::container::ElementExistException)
| is intended to alter the name of an object.
Public Member Functions inherited from XColumnsSupplier
com::sun::star::container::XNameAccess | getColumns ()
| returns the container of columns.
Public Attributes inherited from DataSettings
string | Filter
| additional filter for the data object.
boolean | ApplyFilter
| indicates whether the filter should be applied or not, default is `FALSE`.
string | Order
| is an additional sort order definition.
com::sun::star::awt::FontDescriptor | FontDescriptor
| specifies the font attributes for data displaying.
long | RowHeight
| specifies the height of a data row.
com::sun::star::util::Color | TextColor
| specifies the text color (RGB) for displaying text.
string | HavingClause
| additional having clause for the data object.
string | GroupBy
| additional group by for the data object.

## Detailed Description

is a stored definition of a SQL query.

It can be used if there is a need to execute SQL statements more than once, or if you want to format the query result fields differently from the underlying table definitions.

## Exported Interfaces

## ◆ com::sun::star::sdb::DataSettings

service com::sun::star::sdb::DataSettings

is used for customization of data appearance.

## Exported Interfaces

## ◆ com::sun::star::sdb::XQueryDefinition

interface com::sun::star::sdb::XQueryDefinition

defines the command of the query.

## ◆ com::sun::star::sdbcx::XColumnsSupplier

interface com::sun::star::sdbcx::XColumnsSupplier

access to the columns of the results sets query.

## ◆ com::sun::star::sdbcx::XDataDescriptorFactory

interface com::sun::star::sdbcx::XDataDescriptorFactory

is provided for creation of a new query descriptor based on the current information.

## ◆ com::sun::star::sdbcx::XRename

interface com::sun::star::sdbcx::XRename

The documentation for this service was generated from the following file:

- com/sun/star/sdb/Query.idl